package domain


type AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest struct {
    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动创建者ID（仅数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        活动创建者name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动描述     */
    Description  *string `json:"description,omitempty" `

    /*
        活动终端：1-APP，2-POS     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        活动生效的经营店ID     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        外部活动ID（商家自定义）     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        活动开始时间     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        限购配置信息     */
    Limit  *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto `json:"limit,omitempty" `

    /*
        活动人群编码，NEW_USER：新用户，OLD_USER：老用户，LIGHT_NEW_USER：闪购新客，MERCHANT_NEW_USER：商家新用户，MERCHANT_OLD_USER：商家老用户     */
    MemberCrowdCode  *[]string `json:"member_crowd_code,omitempty" `

    /*
        枚举： 2 美团 3 饿了么 26 京东到家 31 翱象淘鲜达     */
    Channels  *[]string `json:"channels,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetActivityName(v string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetDescription(v string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetTerminals(v []int32) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetStoreIds(v []string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetStartTime(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetEndTime(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetLimit(v AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetMemberCrowdCode(v []string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.MemberCrowdCode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest) SetChannels(v []string) *AlibabaRetailMarketingItemdiscountActivityUpdateItemDiscountActivityOperateRequest {
    s.Channels = &v
    return s
}
